class_name PlayerManager extends Node3D

@onready var player_scene: PackedScene = load("res://src/player/player.tscn")
var _spawned: Player


func _ready() -> void:
	respawn()


func respawn() -> void:
	if _spawned:
		_spawned.queue_free()
	_spawned = player_scene.instantiate()
	_spawned.manager = self
	add_child(_spawned)
	_spawned.reparent(self)
